Missing .NET CompactFramework ver 2.0 but 2.0 SP1

Topics: Mobile Client Software Factory
Jul 28, 2006 at 8:28 PM
originally posted by: ultimo

Hello,

i want to install the new version, but i cant start it. There comes a Popup that i have to install the Net compact Framework 2.0, but i allready have the Compact Framework 2.0 with SP 1 installed. The last setup that you provided was running.
Jul 28, 2006 at 9:59 PM
originally posted by: jbenito

Hi,

Same for me.
Jul 29, 2006 at 6:34 AM
originally posted by: fkc888

Can you check your registry? What is the value of the Version?
Root='HKLM'
Key='SOFTWARE\Microsoft\.NETCompactFramework\v2.0.0.0'
Jul 29, 2006 at 6:47 AM
originally posted by: jbenito

Hi, thanks for your reply.

That key exists and the values are:
Language=1033
Version=2.0.6129

And there is another key
HKEYLOCALMACHINE\SOFTWARE\Microsoft\.NETCompactFramework\v2.0.3600

May be the problem is that I have installed previously .Net CF 2.0 SP1 beta.

Thanks in advance.
Jul 29, 2006 at 11:04 AM
originally posted by: JRoppert

I've monitored the registry access of the installer package. The only access is to HKEYLOCALMACHINE\SOFTWARE\Microsoft\.NETCompactFramework\v2.0.0.0\Version and - in my case - the result is "2.0.6129". Then i get the error message mentioned above. I also have the SP1 installed so there is also a "v2.0.3600" Key under ".NetCompactFramework" in the Registry.
Jul 29, 2006 at 8:04 PM
originally posted by: fkc888

Thanks for catching this. I've updated the installer to allow for versions of .NET CF 2.0 and beyond.

Please download new installer and try again.

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnpag2/html/mcsflp.asp